[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TBasicAction.HandlesTarget

Determines whether Target can be handled by this action

## Declaration

Source position: classesh.inc line 1806

`public function TBasicAction.HandlesTarget(`
`Target: TObject`
`):Boolean; virtual;`

## Description

HandlesTarget returns True if Target is a valid client for this action and if so, if it is in a suitable state to execute the action. An application programmer should never need to call HandlesTarget directly, it will be called by the action itself when needed.

In TBasicAction this method is empty; descendent classes should override this method to implement appropriate checks.

## See also

UpdateTarget |  | Notify client controls when the action updates itself.
ExecuteTarget |  | Executes the action on the Target object

Documentation generated on: Feb 26 2014